org.fourthline.cling.support.contentdirectory

## Class ContentDirectoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.fourthline.cling.model.action.ActionException
      - - org.fourthline.cling.support.contentdirectory.ContentDirectoryException

- All Implemented Interfaces:
    Serializable

      public class ContentDirectoryException
      extends ActionException

  Author:
    Alessio Gaeta
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentDirectoryException(ContentDirectoryErrorCode errorCode)`
    `ContentDirectoryException(ContentDirectoryErrorCode errorCode, String message)`
    `ContentDirectoryException(ErrorCode errorCode)`
    `ContentDirectoryException(ErrorCode errorCode, String message)`
    `ContentDirectoryException(int errorCode, String message)`
    `ContentDirectoryException(int errorCode, String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.action.ActionException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentDirectoryException

          public ContentDirectoryException(int errorCode,
                                   String message)

    - #### ContentDirectoryException

          public ContentDirectoryException(int errorCode,
                                   String message,
                                   Throwable cause)

    - #### ContentDirectoryException

          public ContentDirectoryException(ErrorCode errorCode,
                                   String message)

    - #### ContentDirectoryException

          public ContentDirectoryException(ErrorCode errorCode)

    - #### ContentDirectoryException

          public ContentDirectoryException(ContentDirectoryErrorCode errorCode,
                                   String message)

    - #### ContentDirectoryException

          public ContentDirectoryException(ContentDirectoryErrorCode errorCode)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.